# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "ferret"
  s.version = "0.11.8.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["David Balmain"]
  s.date = "2012-11-26"
  s.description = "Ferret is a super fast, highly configurable search library."
  s.email = "dbalmain@gmail.com"
  s.executables = ["ferret-browser"]
  s.extensions = ["ext/extconf.rb"]
  s.extra_rdoc_files = ["README", "TODO", "TUTORIAL", "MIT-LICENSE", "ext/r_analysis.c", "ext/r_index.c", "ext/r_qparser.c", "ext/r_search.c", "ext/r_store.c", "ext/r_utils.c", "ext/ferret.c"]
  s.files = ["bin/ferret-browser", "README", "TODO", "TUTORIAL", "MIT-LICENSE", "ext/r_analysis.c", "ext/r_index.c", "ext/r_qparser.c", "ext/r_search.c", "ext/r_store.c", "ext/r_utils.c", "ext/ferret.c", "ext/extconf.rb"]
  s.homepage = "http://github.com/jkraemer/ferret"
  s.rdoc_options = ["--title", "Ferret -- Ruby Search Library", "--main", "README", "--line-numbers", "TUTORIAL", "TODO"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "ferret"
  s.rubygems_version = "1.8.23"
  s.summary = "Ruby indexing library."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
